
Redmine - Feature #9787

Get issue history

2011-12-13 13:50 - Nickolay Babenko

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version:    

Resolution: Fixed   

Description

Add ability to request issue history or issue versions.

History

#1 - 2011-12-13 13:51 - Nickolay Babenko

It will be very helpful for metrics gathering.

#2 - 2011-12-13 20:52 - Terence Mill

THare are plugins doing that

https://github.com/tastapod/redmine_issue_history_tabs#readme

https://github.com/freedayko/redmine_issue_history#readme

#3 - 2011-12-14 09:35 - Nickolay Babenko

Thanks!

#4 - 2011-12-14 09:46 - Nickolay Babenko

Unfortunately this plugins don't implement REST API interface.

#5 - 2012-09-06 11:36 - Super User

- Assignee set to Jean-Philippe Lang

Any news on this? It would be really helpful for us as well.

#6 - 2016-03-30 09:37 - Nil Patil

You can use GET /issues/2.xml?include=attachments,journals to get the history details.

#7 - 2019-11-06 15:33 - Holger Just

- Status changed from New to Closed

- Resolution set to Fixed

With the issues REST API, you can add include=journals to get all (visible) journals of the issue.
